Subject: [PATCH] gnu: drawpile: Build with libmicrohttpd 0.9.71.

From: Michael Rohleder <[email-masked]>
Date: Wed, 19 Aug 2020 23:49:31 +0200

* gnu/packages/graphics.scm (drawpile)[arguments]: Add patch phase.
---
 gnu/packages/graphics.scm | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index c7fefbd57d..a5d6a8cad8 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -1450,7 +1450,21 @@ Automated palette selection is supported.")
                 "08w8vad8pw4a8kkshys1kd2kjvzpj62klxxxp904rx0qazw5hl80"))))
     (build-system qt-build-system)
     (arguments
-     '(#:configure-flags (list "-DTESTS=ON" "-DTOOLS=ON" "-DKIS_TABLET=ON")))
+     '(#:configure-flags (list "-DTESTS=ON" "-DTOOLS=ON" "-DKIS_TABLET=ON")
+       #:phases
+       (modify-phases %standard-phases
+         ;; libmicrohttpd>=0.9.71 changed some results from int to MHD_Result.
+         (add-after 'unpack 'patch
+           (lambda _
+             (substitute* "src/thinsrv/webadmin/qmhttp.cpp"
+               (("^int assign_to_hash") "MHD_Result assign_to_hash")
+               (("^int access_policy") "MHD_Result access_policy")
+               (("^int iterate_post") "MHD_Result iterate_post")
+               (("^int request_handler") "MHD_Result request_handler")
+               (("int ret;") "MHD_Result ret;")
+               (("ret = MHD_queue_basic_auth_fail_response")
+                "ret = (MHD_Result) MHD_queue_basic_auth_fail_response"))
+             #t)))))
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
        ("pkg-config" ,pkg-config)))
-- 
2.28.0